Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.dom.svg
Interface SVGLength

All Known Implementing Classes:
  AbstractSVGLength

public interface SVGLength

Field Summary
`static short` | `SVG_LENGTHTYPE_CM`
`static short` | `SVG_LENGTHTYPE_EMS`
`static short` | `SVG_LENGTHTYPE_EXS`
`static short` | `SVG_LENGTHTYPE_IN`
`static short` | `SVG_LENGTHTYPE_MM`
`static short` | `SVG_LENGTHTYPE_NUMBER`
`static short` | `SVG_LENGTHTYPE_PC`
`static short` | `SVG_LENGTHTYPE_PERCENTAGE`
`static short` | `SVG_LENGTHTYPE_PT`
`static short` | `SVG_LENGTHTYPE_PX`
`static short` | `SVG_LENGTHTYPE_UNKNOWN`

Method Summary
`void` | `convertToSpecifiedUnits(short unitType)`
`short` | `getUnitType()`
`float` | `getValue()`
`java.lang.String` | `getValueAsString()`
`float` | `getValueInSpecifiedUnits()`
`void` | `newValueSpecifiedUnits(short unitType, float valueInSpecifiedUnits)`
`void` | `setValue(float value)`
`void` | `setValueAsString(java.lang.String valueAsString)`
`void` | `setValueInSpecifiedUnits(float valueInSpecifiedUnits)`

Field Detail

### SVG_LENGTHTYPE_UNKNOWN

    public static final short SVG_LENGTHTYPE_UNKNOWN

See Also:
  Constant Field Values

### SVG_LENGTHTYPE_NUMBER

    public static final short SVG_LENGTHTYPE_NUMBER

See Also:
  Constant Field Values

### SVG_LENGTHTYPE_PERCENTAGE

    public static final short SVG_LENGTHTYPE_PERCENTAGE

See Also:
  Constant Field Values

### SVG_LENGTHTYPE_EMS

    public static final short SVG_LENGTHTYPE_EMS

See Also:
  Constant Field Values

### SVG_LENGTHTYPE_EXS

    public static final short SVG_LENGTHTYPE_EXS

See Also:
  Constant Field Values

### SVG_LENGTHTYPE_PX

    public static final short SVG_LENGTHTYPE_PX

See Also:
  Constant Field Values

### SVG_LENGTHTYPE_CM

    public static final short SVG_LENGTHTYPE_CM

See Also:
  Constant Field Values

### SVG_LENGTHTYPE_MM

    public static final short SVG_LENGTHTYPE_MM

See Also:
  Constant Field Values

### SVG_LENGTHTYPE_IN

    public static final short SVG_LENGTHTYPE_IN

See Also:
  Constant Field Values

### SVG_LENGTHTYPE_PT

    public static final short SVG_LENGTHTYPE_PT

See Also:
  Constant Field Values

### SVG_LENGTHTYPE_PC

    public static final short SVG_LENGTHTYPE_PC

See Also:
  Constant Field Values

Method Detail

### getUnitType

    public short getUnitType()

### getValue

    public float getValue()

### setValue

    public void setValue(float value)
                  throws org.w3c.dom.DOMException

  Throws:
    `org.w3c.dom.DOMException`

### getValueInSpecifiedUnits

    public float getValueInSpecifiedUnits()

### setValueInSpecifiedUnits

    public void setValueInSpecifiedUnits(float valueInSpecifiedUnits)
                                  throws org.w3c.dom.DOMException

  Throws:
    `org.w3c.dom.DOMException`

### getValueAsString

    public java.lang.String getValueAsString()

### setValueAsString

    public void setValueAsString(java.lang.String valueAsString)
                          throws org.w3c.dom.DOMException

  Throws:
    `org.w3c.dom.DOMException`

### newValueSpecifiedUnits

    public void newValueSpecifiedUnits(short unitType,
                                       float valueInSpecifiedUnits)

### convertToSpecifiedUnits

    public void convertToSpecifiedUnits(short unitType)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.